__SKB_QUEUE_HEAD_INI(9)

NAME
__skb_queue_head_init - initialize non-spinlock portions of sk_buff_head

SYNOPSIS

void __skb_queue_head_init(struct sk_buff_head * list);

ARGUMENTS

list
    queue to initialize

DESCRIPTION

This initializes only the list and queue length aspects of an sk_buff_head object. This allows to initialize the list aspects of an sk_buff_head without reinitializing things like the spinlock. It can also be used for on-stack sk_buff_head objects where the spinlock is known to not be used.

COPYRIGHT